# Uses of Class
org.eclipse.ecf.filetransfer.identity.FileIDFactory

Packages that use FileIDFactory
Package
Description
org.eclipse.ecf.filetransfer.identity

## Uses of FileIDFactory in org.eclipse.ecf.filetransfer.identity

Fields in org.eclipse.ecf.filetransfer.identity declared as FileIDFactory
Modifier and Type
Field
Description
`protected static FileIDFactory`
FileIDFactory.`instance`
Methods in org.eclipse.ecf.filetransfer.identity that return FileIDFactory
Modifier and Type
Method
Description
`static FileIDFactory`
FileIDFactory.`getDefault()`
Get singleton instance